#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Sphinx Bootstrap Theme - Python 2.x version
Summary(pl.UTF-8):	Motyw Bootstrap dla narzędzia Sphinx - wersja dla Pythona 2.x
Name:		python-sphinx_bootstrap_theme
Version:	0.7.1
Release:	4
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/sphinx-bootstrap-theme/
Source0:	https://files.pythonhosted.org/packages/source/s/sphinx-bootstrap-theme/sphinx-bootstrap-theme-%{version}.tar.gz
# Source0-md5:	a2db84f029c14f23c2d0ad6a842197c1
URL:		https://pypi.org/project/sphinx-bootstrap-theme/
%if %{with python2}
BuildRequires:	python-modules >= 1:2.5
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-Sphinx >= 1.6.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Sphinx theme integrates the Bootstrap CSS/JavaScript framework
with various layout options, hierarchical menu navigation, and
mobile-friendly responsive design. It is configurable, extensible, and
can use any number of different Bootswatch CSS themes.

%description -l pl.UTF-8
Ten motyw Sphinksa integruje szkielet CSS/JavaScript Bootstrap z
różnymi opcjami układu, hierarchiczną nawigacją poprzez menu,
zaprojektowawany w sposób łatwo regujący, przyjazny dla urządzeń
przenośnych. Jest konfigurowalny, rozszerzalny, może używać dowolnej
liczby różnych motywów CSS Bootswatch.

%package -n python3-sphinx_bootstrap_theme
Summary:	Sphinx Bootstrap Theme - Python 3.x version
Summary(pl.UTF-8):	Motyw Bootstrap dla narzędzia Sphinx - wersja dla Pythona 3.x
Group:		Libraries/Python
Requires:	python3-Sphinx >= 1.6.1

%description -n python3-sphinx_bootstrap_theme
This Sphinx theme integrates the Bootstrap CSS/JavaScript framework
with various layout options, hierarchical menu navigation, and
mobile-friendly responsive design. It is configurable, extensible, and
can use any number of different Bootswatch CSS themes.

%description -n python3-sphinx_bootstrap_theme -l pl.UTF-8
Ten motyw Sphinksa integruje szkielet CSS/JavaScript Bootstrap z
różnymi opcjami układu, hierarchiczną nawigacją poprzez menu,
zaprojektowawany w sposób łatwo regujący, przyjazny dla urządzeń
przenośnych. Jest konfigurowalny, rozszerzalny, może używać dowolnej
liczby różnych motywów CSS Bootswatch.

%prep
%setup -q -n sphinx-bootstrap-theme-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc HISTORY.rst LICENSE.txt README.rst TODO.rst
%{py_sitescriptdir}/sphinx_bootstrap_theme
%{py_sitescriptdir}/sphinx_bootstrap_theme-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-sphinx_bootstrap_theme
%defattr(644,root,root,755)
%doc HISTORY.rst LICENSE.txt README.rst TODO.rst
%{py3_sitescriptdir}/sphinx_bootstrap_theme
%{py3_sitescriptdir}/sphinx_bootstrap_theme-%{version}-py*.egg-info
%endif
%changelog
* Fri Feb 26 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-sphinx_bootstrap_theme.git;a=log;h=master

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 3968902
- release 4 (by relup.sh)

* Thu Dec 12 2019 Marcin Krol <hawk@tld-linux.org> cc52348
- release 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> db3f065
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sat Oct 05 2019 Jakub Bogusz <qboosh@pld-linux.org> dc25298
- updated to 0.7.1

* Fri Sep 21 2018 Jakub Bogusz <qboosh@pld-linux.org> e61e191
- updated to 0.6.5

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e35c390
- release 2 (by relup.sh)

* Sun Apr 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 659909d
- updated to 0.4.14

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 77dc3c8
- python 3.6
- release 2 (by relup.sh)

* Sat May 14 2016 Jakub Bogusz <qboosh@pld-linux.org> 07293cd
- updated to 0.4.9

* Sun Nov 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 92df699
- new

